%define name	gq
%define version 1.0
%define betarel beta1
%define	realver	%{version}%{betarel}
%define release 0.%{betarel}.1mdk

%define section Applications/Databases
%define title   Gq

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	GQ is a GTK-based LDAP client. 
License:	GPL
Source:		http://prdownloads.sourceforge.net/gqclient/%{name}-%{realver}.tar.bz2
Source1:	http://prdownloads.sourceforge.net/gqclient/%{name}-%{realver}-langpack-1.tar.bz2
Source2:	%name-icons.tar.bz2
URL:		http://biot.com/gq/
Group:		Databases
BuildRequires:	gettext-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	krb5-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%prep 
%setup -q -n %{name}-%{realver}
%setup -q -T -D -a 1 -n %{name}-%{realver}
%setup -q -T -D -a 2 -n %{name}-%{realver}

%build 
( cd %{name}-%{realver}-langpack-1; ./langpack .. )
%configure2_5x --with-kerberos-prefix=%{_prefix}
%make

%install
rm -rf %buildroot
%makeinstall_std

# Menu entry & icons
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

# ie: Is name48.png %{name}48.png or %{name48}.png?
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

# Macro for locales
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README* RELNOTES TODO 
%{_bindir}/*
%dir %{_datadir}/pixmaps/gq
%{_datadir}/pixmaps/gq/*
%dir %{_datadir}/gnome/apps/Internet
%{_datadir}/gnome/apps/Internet/*

%defattr(0644,root,root,0755)
%_menudir/*
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%changelog
* Tue Jan 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.beta1.1mdk
- 1.0beta1

* Fri Oct 31 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0-0.alpha3.1mdk
- 1.0alpha3

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.0-0.beta2.6mdk
- rebuild against new kerberos
- drop Prefix tag

* Sat Apr 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.7.0-0.beta2.5mdk
- add missing dirs into files section (mr. distlint)

* Wed Feb 19 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.7.0-0.beta2.4mdk
- funny expanded macro find_lang removed..

* Wed Feb 19 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.7.0-0.beta2.3mdk
- fix version numbering and change Group
- change source url, update description
- add icons and menu entry

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0beta2-2mdk
- rebuild

* Wed Oct 23 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7.0beta2-1mdk
- 0.7.0beta2
- BuildRequires: gettext-devel gdk-pixbuf-devel krb5-devel libsasl-devel

* Tue Oct 08 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.0-1mdk
- 0.6.0

* Sun May  5 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-1mdk
- initial package
